2

I am using QGIS 2.8.9 stable release in the 32bit form on a Windows 7 64 bit compatible PC. I want to use the Freehand raster georeferencer plugin. It installs without difficulty but when I try to open a raster in the plugin I get the error code 'An error has occurred while executing python code' and this readout:

raceback (most recent call last): File "C:/Users/hpethen/.qgis2/python/plugins\FreehandRasterGeoreferencer\freehandrastergeoreferencer.py", line 190, in addLayer self.createFreehandRasterGeoreferencerLayer() File "C:/Users/hpethen/.qgis2/python/plugins\FreehandRasterGeoreferencer\freehandrastergeoreferencer.py", line 201, in createFreehandRasterGeoreferencerLayer layer = FreehandRasterGeoreferencerLayer(self, imagePath , imageName, screenExtent) File "C:/Users/hpethen/.qgis2/python/plugins\FreehandRasterGeoreferencer\freehandrastergeoreferencer_layer.py", line 46, in init self.initializeLayer(screenExtent) File "C:/Users/hpethen/.qgis2/python/plugins\FreehandRasterGeoreferencer\freehandrastergeoreferencer_layer.py", line 157, in initializeLayer self.resetScale(sw, sh) File "C:/Users/hpethen/.qgis2/python/plugins\FreehandRasterGeoreferencer\freehandrastergeoreferencer_layer.py", line 166, in resetScale wratio = sw / iw ZeroDivisionError: float division by zero

Python version: 2.7.4 (default, Apr 6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

QGIS version: 2.8.9-Wien Wien, 26c3ece

Python path: ['C:/PROGRA~2/QGISWI~1/apps/qgis-ltr/./python/plugins\processing', 'C:/PROGRA~2/QGISWI~1/apps/qgis-ltr/./python', u'C:/Users/hpethen/.qgis2/python', u'C:/Users/hpethen/.qgis2/python/plugins', 'C:/PROGRA~2/QGISWI~1/apps/qgis-ltr/./python/plugins', 'C:\PROGRA~2\QGISWI~1\bin\python27.zip', 'C:\PROGRA~2\QGISWI~1\apps\Python27\DLLs', 'C:\PROGRA~2\QGISWI~1\apps\Python27\lib', 'C:\PROGRA~2\QGISWI~1\apps\Python27\lib\plat-win', 'C:\PROGRA~2\QGISWI~1\apps\Python27\lib\lib-tk', 'C:\PROGRA~2\QGISWI~1\bin', 'C:\PROGRA~2\QGISWI~1\apps\Python27', 'C:\PROGRA~2\QGISWI~1\apps\Python27\lib\site-packages', 'C:\PROGRA~2\QGISWI~1\apps\Python27\lib\site-packages\PIL', 'C:\PROGRA~2\QGISWI~1\apps\Python27\lib\site-packages\jinja2-2.7.2-py2.7.egg', 'C:\PROGRA~2\QGISWI~1\apps\Python27\lib\site-packages\markupsafe-0.23-py2.7-win32.egg', 'C:\PROGRA~2\QGISWI~1\apps\Python27\lib\site-packages\python_dateutil-2.2-py2.7.egg', 'C:\PROGRA~2\QGISWI~1\apps\Python27\lib\site-packages\pytz-2014.2-py2.7.egg', 'C:\PROGRA~2\QGISWI~1\apps\Python27\lib\site-packages\win32', 'C:\PROGRA~2\QGISWI~1\apps\Python27\lib\site-packages\win32\lib', 'C:\PROGRA~2\QGISWI~1\apps\Python27\lib\site-packages\Pythonwin', 'C:\PROGRA~2\QGISWI~1\apps\Python27\lib\site-packages\Shapely-1.2.18-py2.7-win32.egg', 'C:\PROGRA~2\QGISWI~1\apps\Python27\lib\site-packages\wx-2.8-msw-unicode', u'C:/Users/hpethen/.qgis2//python', 'C:\PROGRA~2\QGISWI~1\apps\qgis-ltr\python\plugins\fTools\tools', 'C:/Users/hpethen/Documents/Docs/Work/Teaching/EES_FieldSchool']

I have had previous releases of QGIS on here. Is it possible that there is some conflict? Is this a 32bit vs 64 bit issue or is there something else I'm missing.

3

I completely uninstalled all the QGIS I could find on my computer and then reinstalled the 64bit version of QGIS 2.8.9 stable release. Once I had done that the plugin worked properly.

I think this problem either relates to have remains of more than one verison of QGIS on the computer, or it was a 32bit issue.

The plugin works perfectly and is brilliant.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.